LANGUAGE = "EN"
local langcode = Turbine.Engine:GetLanguage()
if(langcode == 0x10000003) then LANGUAGE="FR" end
if(langcode == 0x10000004) then LANGUAGE="DE" end
if (LANGUAGE == "EN") then
   --TI & CAAbbrevs aren't translated at all, and the program won't work without them really
   --T are translated but possibly badly!
   
   TI = {--These are names of items, need to be precise
      ["TownServices"] = "Subscriber Town Services",
      ["SubBuffs"] = "Subscriber Buffs",
   }
   TCA = {
      ["carryall"] = "carry-all",
      ["sizes"] = {
         ["small"] = "small",
         ["medium"] = "medium",
         ["large"] = "large"
      },
      ["types"] = {
         ["crafting"] = "Cr",
         ["dye"] = "Dy",
         ["essence"] = "ET",
         ["healer"] = "He",
         ["housing"] = "Ho",
         ["instrument"] = "In",
         ["junk"] = "Jk", --this one's new to me!
         ["task"] = "Tk",
         ["war-spoils"] = "WS"
      }
   };
   T = {
      ["SubscriptionBenefits"] = "Sub Benefits",
      ["days_abbrev"] = "d",
      ["hours_abbrev"] = "h",
      ["nosubscription"] = "NO SUBSCRIPTION",
      ["EmptyInventorySlots"] = "Empty slots",
      ["NONE"] = "NO",
      ["1day"] = "1 day",
      ["days"] = "days",
      ["description"] = "This plugin shows how long until your subscriber benefits expire (for all alts), how many empty inventory slots you have, and which carry-alls you have in your inventory (and whether this has changed). Use the options panel to hide various lines, or make the window movable.",
      ["help"] = "Monitor subscription benefits and some other things",
      ["option-sub"] = "Show Subscriber Benefits",
      ["option-empty"] = "Show Empty Slots",
      ["option-carry"] = "Show Carry-Alls",
      ["option-moving"] = "Make window movable"
   }
elseif (LANGUAGE == "FR") then
   TI = {--These are names of items, need to be precise
      ["TownServices"] = "Abonnement Services de Ville",
      ["SubBuffs"] = "Renforts d'abonné",
   }
   TCA = {
      ["carryall"] = "fourre-tout",
      ["sizes"] = {
         ["small"] = "Petit",
         ["medium"] = "Moyen",
         ["large"] = "Grand",
      },
      ["types"] = {
         ["fabrication"] = "Fb",
         ["teintures"] = "Tn",
         ["essence"] = "EG", --Gravure means tracery
         ["healer"] = "He", --couldn't find
         ["décorations"] = "De",
         ["instrument"] = "In",
         ["camelote"] = "Cm", --Junk
         ["tâche"] = "Tc",
         ["guerre"] = "Gu"  --butins de guerre
      }
   };
   T = {
      ["SubscriptionBenefits"] = "Avantages",
      ["days_abbrev"] = "j",
      ["hours_abbrev"] = "h",
      ["nosubscription"] = "Pas d'abonnement",
      ["EmptyInventorySlots"] = "Cases vides",
      ["NONE"] = "NON",
      ["1day"] = "1 jour",
      ["days"] = "jours",
      ["description"] = "Ce plugin indique combien de temps avant l'expiration de vos avantages d'abonnement (pour tous les alts), combien d'emplacements d'inventaire vides vous avez et quels fourre-tout vous avez dans votre inventaire (et si cela a changé). Utilisez le panneau d'options pour masquer diverses lignes ou rendre la fenêtre mobile. (Traduit de l'anglais par Google.)",
      ["help"] = "Montrez combien de temps dureront les avantages de vos alts.",
      ["option-sub"] = "Afficher les avantages",
      ["option-empty"] = "Afficher les cases vides",
      ["option-carry"] = "Afficher les fourre-tout",
      ["option-moving"] = "Rendre la fenêtre mobile"
   }
elseif (LANGUAGE == "DE") then
   TI = {--These are names of items, need to be precise
      ["TownServices"] = "Abonnenten-Stadt-Dienstleistungen",
      ["SubBuffs"] = "Abonnenten-Stärkungen",
   }
   TCA = {
      ["carryall"] = "beutel",
      ["sizes"] = {
         ["small"] = "kleiner",
         ["medium"] = "mittlerer",
         ["large"] = "grosser",
         ["large2"] = "großer",
      },
      ["types"] = {
         --Kriegsbuete
         --des Heilers = healer
         --Einrichtungsgegenstand = decoration
         --Essenz- und Filigranmuster
         --Instrumentenbeutel = instruments
         --Krimskrams = bits and pieces
          
            ["handwerk"] = "Ha",
            ["farben"] = "Fb",
            ["essencz"] = "EF",
            ["heiler"] = "He",
            ["einrichtung"] = "Ei", --decoration
            ["instrument"] = "In",
            ["krimskrams"] = "Kk", --Junk
            ["aufgabengegenstands"] = "Au",
            ["kriegsbeute"] = "Kb"
      }
   };
   T = {
      ["SubscriptionBenefits"] = "Vorteile",
      ["days_abbrev"] = "d",
      ["hours_abbrev"] = "h",
      ["nosubscription"] = "KEIN ABO",
      ["EmptyInventorySlots"] = "Leere Slots",
      ["NONE"] = "KEIN",
      ["1day"] = "1 tag",
      ["days"] = "Tage",
      ["description"] = "Dieses Plugin zeigt an, wie lange es dauert, bis Ihre Abonnentenvorteile ablaufen (für alle Alts), wie viele leere Inventarplätze Sie haben und welche Carry-Alls Sie in Ihrem Inventar haben (und ob sich dies geändert hat). Verwenden Sie das Optionsfeld, um verschiedene Linien auszublenden oder das Fenster verschiebbar zu machen. (Aus dem Englischen übersetzt von Google)",
      ["help"] = "Zeigen Sie, wie lange die Vorteile Ihrer Alternativen anhalten.",
      ["option-sub"] = "Abonnentenvorteile anzeigen",
      ["option-empty"] = "Leerstellen anzeigen",
      ["option-carry"] = "Tragetaschen anzeigen",
      ["option-moving"] = "Fenster beweglich machen"
   }

end
   
